Skitflow
Generated

Redirects

Skitflow API reference for Redirects endpoints.

POST
/redirects.create

Authorization

Authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/redirects.create" \  -H "Content-Type: application/json" \  -d '{    "regex": "string",    "replacement": "string",    "permanent": true,    "applicationId": "string"  }'
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}
GET
/redirects.one

Authorization

Authorization
AuthorizationBearer <token>

In: header

Query Parameters

redirectId*string

Response Body

application/json

application/json

curl -X GET "https://example.com/redirects.one?redirectId=string"
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}
POST
/redirects.delete

Authorization

Authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/redirects.delete" \  -H "Content-Type: application/json" \  -d '{    "redirectId": "string"  }'
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}
POST
/redirects.update

Authorization

Authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/redirects.update" \  -H "Content-Type: application/json" \  -d '{    "redirectId": "string",    "regex": "string",    "replacement": "string",    "permanent": true  }'
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}